EDIT - feature request #3740

Allow recursively setting the publish bit for TaxonBase
09/27/2013 02:31 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.10

Severity: critical

Description

implemented into ITaxonService (
source:trunk/cdmlib/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ITaxonService.java) a method to set the publish bit
recursively for all taxa of a classification subtree, including synonyms if wanted (configurable).

This is similar to setting the sec reference for subtrees: #3870
see
e #1780 (Publish bit instead of marker)
e #3739 (Allow editing of publish bit for Taxon and SpecimenOrObservationBase)

e #3560 (Withheld unpublished taxa and specimen from webservice results and in DAOs)

this is a prerequisite for #4155 (implement handler (IHandler) to trigger recursive setting of the publish bit on a whole calssification
branch)

Related issues:

Related to EDIT - feature request #3465: Function to copy secundum reference ... Closed
Related to EDIT - task #3560: Withheld unpublished taxa from webservice used ... Resolved
Related to EDIT - bug #7576: Set Publish Flag for Subtree Dialog - Problems w... Closed
Related to EDIT - bug #6359: Remaining issues secundum for subtrees Closed
Blocks EDIT - feature request #4155: Implement handler (IHandler) to trigger ... Closed
Precedes EDIT - feature request #7450: Allow setPublish for subtree to includ... Closed

Associated revisions

Revision 4df9f28c - 09/13/2017 04:39 PM - Andreas Miiller
ref #3740 refactor operations in io layer
e move operations and operation configurators to a separate package (remove from common package) as they are not realy related to import or

export
e operations are long running tasks using the io framework but not importing or exporting data

Revision 28fe8728 - 09/13/2017 05:09 PM - Andreas Miiller
ref #3740 further refactor operations in io layer and add publishForSubtreeUpdater

Revision 4691e160 - 09/13/2017 11:56 PM - Andreas Miiller

fix #3740 implement setPublish for subtrees

Revision 09cef664 - 10/18/2017 12:04 PM - Katja Luther

save updated taxa/synonyms in setPublishedFlag

Revision dfa80bce - 10/18/2017 12:59 PM - Katja Luther

setPublishFlag needs to be transactional
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/entry/trunk/cdmlib/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ITaxonService.java
https://dev.e-taxonomy.eu/redmine/issues/3560
https://dev.e-taxonomy.eu/redmine/issues/4155

Revision 6a3a26fb - 10/18/2017 01:13 PM - Katja Luther

revert saveOrUpdate adding

Revision 1cc6cd7b - 05/03/2018 12:03 PM - Andreas Miiller

ref #6359, ref #3740 (setSubtree) add progress monitor progress computation, first version of partitioning

Revision f303cdad - 05/03/2018 01:33 PM - Andreas Miiller

ref #6359, ref #3740 (setSubtree) some further improvements, mostly for publish

Revision 3b1da35f - 05/06/2021 04:14 PM - Andreas Mller
ref #6359, ref #3740 error handling for setPublishForSubtree

History

#1 - 01/20/2014 06:03 PM - Andreas Kohlbecker

- Severity changed from normal to critical

#2 - 03/24/2014 02:53 PM - Andreas Kohlbecker

- Assignee changed from Andreas Miiller to Matus Kempa

#3 - 07/17/2015 01:37 AM - Andreas Miiller
- Target version changed from CDM UML 3.3/3.4 - Postprocessing to Release 3.8
- Priority changed from New to Priority14

#4 - 07/20/2015 02:17 PM - Andreas Miuller

- Assignee changed from Matus Kempa to Andreas Miiller

#5 - 09/11/2015 01:57 PM - Andreas Kohlbecker

- Target version deleted (Release 3.8)

moving unresolved tickets to next milestone after release of 3.8.0

#6 - 12/18/2015 12:23 PM - Andreas Miuller

- Target version deleted (Release 3.12)

#7 - 04/16/2016 12:12 AM - Andreas Miiller

- Target version changed from Release 4.0 to Release 4.1

#8 - 06/01/2016 01:23 PM - Andreas Miiller

- Target version changed from Release 4.1 to Release 4.2

#9 - 06/21/2016 10:47 AM - Andreas Miiller
- Keywords set to Euro+Med,

- Priority changed from Priority14 to Highest

#10 - 06/21/2016 10:50 AM - Andreas Miuiller

- Target version changed from Release 4.2 to Euro+Med Portal Release

#12 - 01/06/2017 01:01 PM - Andreas Miiller

- Related to feature request #3465: Function to copy secundum reference of a given taxon node to all it's children added

#13 - 09/13/2017 02:40 PM - Andreas Miiller
- Description updated

- Private changed from Yes to No

#14 - 09/13/2017 11:57 PM - Andreas Miiller

- Status changed from New to Resolved
- % Done changed from 0 to 50

Applied in changeset cdmlib|4691e160cbd992069ba611{21749e57586edca49.

#15 - 09/14/2017 12:00 AM - Andreas Miiller
- Description updated

- Assignee changed from Andreas Muiller to Katja Luther

#16 - 09/14/2017 12:01 AM - Andreas Muller

- Blocks feature request #4155: Implement handler (IHandler) to trigger recursive setting of the publish bit on a taxon subtree added

#17 - 09/14/2017 12:01 AM - Andreas Miiller
- Related to task #3560: Withheld unpublished taxa from webservice used in E+M dataportal added

#18 - 09/22/2017 06:36 PM - Andreas Miiller

- Target version changed from Euro+Med Portal Release to Release 4.10

Please review

#19 - 10/18/2017 01:14 PM - Katja Luther

- Status changed from Resolved to Closed

the changes were not saved, added @transactional annotation, now it works.

#20 - 10/18/2017 02:09 PM - Andreas Miiller
- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 50 to 100

Great. Thanks.

#21 - 06/04/2018 03:10 PM - Andreas Miiller

- Precedes feature request #7450: Allow setPublish for subtree to include misapplied names and pro parte synonyms added

#22 - 08/05/2019 03:34 PM - Andreas Miiller
- Related to bug #7576: Set Publish Flag for Subtree Dialog - Problems with Progressmonitor added

#23 - 05/06/2021 11:30 AM - Andreas Miiller

- Related to bug #6359: Remaining issues secundum for subtrees added
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/4691e160cbd992069ba611f21749e57586edca49
http://www.tcpdf.org

